#include <bits/stdc++.h>

using namespace std;

void solve()
{
    int t,mxsum=0,mnsum=0;
    cin>>t;
    int n,k;
    cin>>n>>k;
    vector<int>a(n);
    for(int i=0;i<n;i++)cin>>a[i];
    vector<int>mxa(n),mna(n);
    sort(a.begin(),a.end());
    for(int i=0;i<n;i++){
        mxa[i]=a[i];
        mna[i]=a[n-i-1];
    }
    for(int i=0;i<n;i++){
        if(mxsum<=mxa[i])mxsum++;
        else mxsum--;
        if(mnsum<=mna[i])mnsum++;
        else mnsum--;
    }
    if(k>=mnsum&&k<=mxsum&&((n-k)%2)==0)cout<<"DA\n";
    else cout<<"NE\n";
}

signed main()
{
    ios_base::sync_with_stdio(0);cin.tie(0);cout.tie(0);
    solve();
    return 0;
}